#ifndef LARGEFILEREADINGDEMOWIDGET_H
#define LARGEFILEREADINGDEMOWIDGET_H

#include <QWidget>

namespace Ui {
class LargeFileReadingDemoWidget;
}

class LargeFileReadingDemoWidget : public QWidget {
    Q_OBJECT

public:
    explicit LargeFileReadingDemoWidget( QWidget* parent = 0 );
    ~LargeFileReadingDemoWidget();

signals:
    void cancelTaskRequired();

private slots:
    void onOpenFile();
    void onProgress( int doneCount, int sumCount );
    void onReadingFinished( int resultCode, const QByteArray& data );

private:
    Ui::LargeFileReadingDemoWidget* ui;
};

#endif // LARGEFILEREADINGDEMOWIDGET_H
